<?php

/**
 * @version		$Id: mod_mh_simple_marquee.php 9 2011-07-21 14:29:37Z branko $
 * @author              Branko Wilhelm, mediahof, Kiel-Germany
 * @package		mod_simple_marquee
 * @copyright           Copyright (C) 2011 mediahof. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl.html GNU/GPL version 3
 */
// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__) . '/helper.php');

modSimpleMarquee::onload();

$marquee = str_replace("\n", ' ' . $params->get('spacer') . ' ', $params->get('marquee'));
$pauseOnOver = $params->get('pauseOnOver', '1');
$speed = $params->get('speed', 40);
$direction = $params->get('direction', 'left');

require JModuleHelper::getLayoutPath('mod_mh_simple_marquee', $params->get('layout', 'default'));
